source 'https://rubygems.org'

gem 'rails', '~> 4.1.0'

gem 'sass-rails', '~> 4.0.0'
gem 'coffee-rails', '~> 4.0.0'

gem 'uglifier', '>= 1.0.3'

gem 'compass-rails', '~> 1.1.2'
gem 'foundation-rails', '~> 5.2.2'

gem 'jquery-rails'

# foundation form errors
gem 'foundation_rails_helper'

group :development do
  # to use debugger
  gem 'byebug'

  # sqlite database during development
  gem 'sqlite3'

  # deploy with Capistrano
  gem 'capistrano'
  gem 'capistrano-rvm'
  gem 'capistrano-rails'

  # Spring application pre-loader
  gem 'spring'
end

group :test do
  # for travis-ci
  gem 'rake'

  # for coveralls
  gem 'coveralls'

  gem 'mysql2'
end

group :production do
  # PostgreSQL for production
  gem 'pg'
end

# authentication
gem 'devise'

# authorization
gem 'cancan'

# pagination
gem 'will_paginate'

# attachments, thumbnails etc
gem 'paperclip'

# Markdown
gem 'redcarpet'

# select2 replacement for selectboxes
gem 'select2-rails'

gem 'font-awesome-rails', '~> 4.0.3'

# TinyMCE 4 for WYSIWYG in textareas
gem 'tinymce-rails'

# for language detection
gem 'http_accept_language'

# internationalisation
gem 'rails-i18n'
gem 'devise-i18n'
